export declare class HttpException extends Error {
    status: number;
    defaultMessage: string;
    constructor(status: number, message?: string, defaultMessage?: string);
}
export declare class BadRequestException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class UnauthorizedException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class ForbiddenException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class NotFoundException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class MethodNotAllowedException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class NotAcceptableException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class RequestTimeoutException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class ConflictException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class GoneException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class PayloadTooLargeException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class UnsupportedMediaTypeException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
export declare class TooManyRequestsException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
